Name:          apache-commons-validator
Version:       1.9.0
Release:       1mamba
Summary:       Commons Validator Package
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://commons.apache.org/proper/commons-validator/
Source0:       http://archive.apache.org/dist/commons/validator/binaries/commons-validator-%{version}-bin.zip
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages
#Requires:      apache-commons-beanutils
#Requires:      apache-commons-digester18
#Requires:      jakarta-commons-collections
#Requires:      jakarta-commons-logging
#Requires:      jakarta-oro
#Requires:      jpackage-utils
#Requires:      xml-commons-apis
Provides:      jakarta-commons-validator
Obsoletes:     jakarta-commons-validator <= 1.3.1

%description
A common issue when receiving data either electronically or from user input is verifying the integrity of the data. This work is repetitive and becomes even more complicated when different sets of validation rules need to be applied to the same set of data based on locale.
Error messages may also vary by locale. This package addresses some of these issues to speed development and maintenance of validation rules.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
Jakarta Commons Validator Package
This package contains javadoc for %{name}.

%prep
%setup -q -n commons-validator-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/validator

install -p -m 644 commons-validator-%{version}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|apache-||g"`
	done
)

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
)

#mkdir -p %{buildroot}%{_datadir}/sgml/%{name}
#install -pm 644  conf/share/*.dtd \
#	%{buildroot}%{_datadir}/sgml/%{name}
#install -pm 644  conf/share/catalog \
#	%{buildroot}%{_datadir}/sgml/%{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}


#%{_bindir}/aot-compile-rpm

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/commons-validator-%{version}.jar
%{_javadir}/commons-validator.jar
%{_javadir}/apache-commons-validator-%{version}.jar
%{_javadir}/apache-commons-validator.jar
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%doc README.md NOTICE.txt RELEASE-NOTES.txt

%changelog
* Sun Dec 08 2024 Automatic Build System <autodist@openmamba.org> 1.9.0-1mamba
- automatic update by autodist

* Sun Jan 21 2024 Automatic Build System <autodist@openmamba.org> 1.8.0-1mamba
- automatic update by autodist

* Fri Aug 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7-1mamba
- update to 1.7

* Sun Apr 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- install under directory recognized by build-classpath

* Sun Apr 12 2009 gil <puntogil@libero.it> 1.3.1-1mamba
- update to 1.3.1
- renamed to legacy apache-commons-validator (ex jakarta)

* Sat Mar 07 2009 gil <puntogil@libero.it> 1.1.4-1mamba
- package created by autospec
